%global momorel 1
%global apiver 0.6

Name:           libgepub
Version:        0.6.0
Release:        %{momorel}m%{?dist}
Summary:        Library for epub documents

License:        LGPLv2+
URL:            https://git.gnome.org/browse/libgepub
Source0:        https://download.gnome.org/sources/libgepub/0.6/libgepub-%{version}.tar.xz
NoSource:	0

Group:          System Environment/Libraries
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(webkit2gtk-4.0)

%description
libgepub is a GObject based library for handling and rendering epub
documents.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup


%build
%meson
%meson_build


%install
rm -rf %{buildroot}

%meson_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc COPYING
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Gepub-%{apiver}.typelib
%{_libdir}/libgepub-%{apiver}.so.0*

%files devel
%{_includedir}/libgepub-%{apiver}/
%{_libdir}/libgepub-%{apiver}.so
%{_libdir}/pkgconfig/libgepub-%{apiver}.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Gepub-%{apiver}.gir

%changelog
* Sat Sep 08 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-1m)
- update 0.6.0

* Sun Feb 19 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4-1m)
- initial commit Momonga Linux

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Sep 01 2016 Kalev Lember <klember@redhat.com> - 0.4-1
- Update to 0.4

* Mon Aug 22 2016 Kalev Lember <klember@redhat.com> - 0.3-0.1.git395779e
- Initial Fedora build
